Beispiel #1
0
        public Polycurve(Dynamic.Tekla.Structures.Geometry3d.PolyLine polyLine)
        {
            var args = new object[1];

            args[0]          = Dynamic.Tekla.Structures.Geometry3d.PolyLine_.GetTSObject(polyLine);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Geometry3d.Polycurve", args);
        }
        public GraphicPolyLine(Dynamic.Tekla.Structures.Geometry3d.PolyLine polyLine, Dynamic.Tekla.Structures.Model.UI.Color color, System.Int32 width, Dynamic.Tekla.Structures.Model.UI.GraphicPolyLine.LineType type)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Geometry3d.PolyLine_.GetTSObject(polyLine);
            args[1]          = Dynamic.Tekla.Structures.Model.UI.Color_.GetTSObject(color);
            args[2]          = width;
            args[3]          = Dynamic.Tekla.Structures.Model.UI.GraphicPolyLine.LineType_.GetTSObject(type);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Model.UI.GraphicPolyLine", args);
        }